body,
html {
    height: 100%;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
}

.row {
    display: flex;
    justify-content: space-between;
    height: 50vh;
    /* Take up half the height of the viewport */
}

.full-width {
    width: 100%;
    height: 100%;
    /* Take up all the height of its parent */
    max-height: 600px;
    overflow: auto;
    /* Add a scrollbar when necessary */
    background-color: #f0f0f0;
    /* Light grey background to make it visible */
}

.half-width {
    width: 49%;
    height: calc(100% - 20px);
    border: 1px solid black;
    padding: 10px;

    white-space: pre;
    overflow: auto; /* Add a scrollbar when necessary */
}

.half-width, .full-width {
    -webkit-user-select: text; /* Chrome, Safari, and Opera */
    -moz-user-select: text;    /* Firefox */
    -ms-user-select: text;     /* Internet Explorer/Edge */
    user-select: text;         /* Non-prefixed version, currently supported by Chrome, Edge, Opera, and Firefox */
}


.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
}

.modal-content {
    margin: auto;
    display: block;
    width: 80%;
}

.close {
    cursor: pointer;
}

.button-row {
    height: 45px;
    /* or whatever height you want */
    justify-content: flex-start;
}